Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 490606 - x11-drivers/nvidia-drivers - Official NVIDIA patch to add limited support for 3.11 kernels and later
Summary: x11-drivers/nvidia-drivers - Official NVIDIA patch to add limited support for...
Status: RESOLVED DUPLICATE of bug 447566
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jeroen Roovers
URL: https://devtalk.nvidia.com/default/to...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-06 21:03 UTC by shade
Modified: 2013-11-07 00:43 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shade 2013-11-06 21:03:07 UTC
https://devtalk.nvidia.com/default/topic/628864/num_physpages-and-support-for-3-11-and-later-kernels/?offset=1

This is workaround problem with alocating memory with >3.10 kernels and nvidia. This does not solve any problem but its temp fix from upstreem and have restrictions.
Comment 1 Tolga Dalman 2013-11-06 22:18:37 UTC
While I'd like to see the nvidia driver to catch up with the recent kernel development, the provided patch is not an official release by nvidia. Hence, this bug is a duplicate (don't have the bug ID at hand).

I think, a dependency constraint on the kernel packages >=3.10 when nvidia-drivers are installed would be an appropriate temporary solution to this issue.
Comment 2 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-11-06 22:24:48 UTC
(In reply to Tolga Dalman from comment #1)
> While I'd like to see the nvidia driver to catch up with the recent kernel
> development, the provided patch is not an official release by nvidia.

The patch is mentioned to be official in the post itself and the claim is made that (limited) support is provided; since Daniel Dadap is a Software Engineer at NVIDIA and not just a moderator, the statement can also be held as official.

The patch is also mentioned to become part of future releases.
Comment 3 Tolga Dalman 2013-11-06 22:36:12 UTC
(In reply to Tom Wijsman (TomWij) from comment #2)
> The patch is mentioned to be official in the post itself and the claim is
> made that (limited) support is provided; since Daniel Dadap is a Software
> Engineer at NVIDIA and not just a moderator, the statement can also be held
> as official.

I know. But since this patch is not even considered a beta, that circumstance should be reflected in the gentoo ebuild as well. For example, by adding an 'experimental' use flag, or a package mask.

> The patch is also mentioned to become part of future releases.

Yes, and I'm eagerly waiting for it. If an experimental nvidia-drivers package is provided in the portage tree beforehand, I will, of course, test and report :)
Comment 4 Jeroen Roovers gentoo-dev 2013-11-07 00:43:52 UTC
What are you still talking about? 304.116 and 331.20 came out today and have support for 3.12. And I checked 173.14.38 again (which already supported 3.11) and it's fine for 3.12, too.

*** This bug has been marked as a duplicate of bug 447566 ***